Subject: Re: [netlmm] RE: PMIPv6: Mobile Prefix Discovery

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 17 May 2007 15:04:52 -0700 (PDT)

I don't know why they included this in base MIP6 spec, yes it is going to happen very rarely and yes you lose the sessions. But it does effect things and it could happen for MN under PMIP. So if there is a quick fix, why not do it?
Otherwise we can say left for future revisions.
Has nothing to do with our prefix draft. Hope this is clear.

Behcet

----- Original Message ----
From: Basavaraj Patil <[email-masked]>
To: ext Sri Gundavelli <[email-masked]>; Behcet Sarikaya <[email-masked]>
Cc: [email-masked]
Sent: Thursday, May 17, 2007 3:51:47 PM
Subject: Re: [netlmm] RE: PMIPv6: Mobile Prefix Discovery

Re: [netlmm] RE: PMIPv6: Mobile Prefix Discovery

Behcet,

I agree with Sri... I don’t think we need to replicate every aspect of MIP6 for Proxy MIP6. 

And I do think that the aspect about managing the prefixes that are advertised to hosts

is implementation dependent. You can use DHCP, LDAP or manage some other means that you choose.

-Raj

On 5/17/07 3:29 PM, "ext Sri Gundavelli" <[email-masked]> wrote:

Hi Behcet:

There are two aspects to it.

- The notification of the prefix change on the link to the MN

- How the change related to renumbering was propogated to the MAG.

On #1, As Ahmad pointed out, its just about advertising a new prefix on the

link and with drawing the earlier prefix with life=0.  Note that, the seamless

mobility is lost when renumbering happens, all the sessions will be lost. 

On #2, Its out of scope. Its about the backend interface. If the Prefixes are

managed in DHCP and obtained using DHCP PD, the interface is different,

vs, when the prefixes are managed in a local or a remote policy store. I dont

think this is in the scope of the base document.

Sri

 

 From: Behcet Sarikaya  [mailto:[email-masked]] 

Sent: Thursday, May 17, 2007  12:40 PM

To: Sri Gundavelli

Cc:  [email-masked]

Subject: Re: [netlmm] RE: PMIPv6: Mobile Prefix  Discovery

 

Hi  Sri,

  Renumbering a Mobile Node's subnet is covered in base MIP6  specification in RFC 3775 and not left to implementation.

  Don't you  think base PMIPv6 specification should also cover this issue, possibly  starting with 01 version?

  Isn't it too simplistic to say it is  implementation issue?

Kind regards,

Behcet

-----  Original Message ----

From: Sri Gundavelli  <[email-masked]>

To: Kandra Mohan-a22098  <[email-masked]>; Alexandru Petrescu  <[email-masked]>

Cc: [email-masked]

Sent: Thursday,  May 17, 2007 12:29:02 PM

Subject: [netlmm] RE: PMIPv6: Mobile Prefix  Discovery 

> -----Original Message-----

> From: Kandra Mohan-a22098  [mailto:[email-masked]] 

> Sent: Thursday, May 17, 2007 2:12  AM

> To: Sri Gundavelli; Alexandru Petrescu

> Cc:  [email-masked]

> Subject: PMIPv6: Mobile Prefix Discovery 

> Hi,

> From section 5.7 of  draft-ietf-netlmm-proxymip6-00.txt:

> How can a MAG will come  to know that there is a change in the 

> MN prefix

> and thus it  can advertise the ICMP Mobile Prefix Advertisement message

> to that  MN?

> Is it that an interface with relevant messages is  required between

> policy store and the MAG?

The  interface between LMA/MAG and the policy store, is outside the scope

of the  base document. Its also an implementation detail, how often

the entities  should query the policy store ..etc. That can enforced in

one or more ways,  but, out of scope for the base doc.  

Sri

_______________________________________________

netlmm  mailing list

[email-masked]

https://www1.ietf.org/mailman/listinfo/netlmm

_______________________________________________

netlmm mailing list

[email-masked]

https://www1.ietf.org/mailman/listinfo/netlmm

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 21 May 2007 08:21:28 -0700 (PDT)

Sri, prefix expiry in a per-MN prefix model is more important and it could happen.

Regards,

--behcet

----- Original Message ----
From: Sri Gundavelli <[email-masked]>
To: Behcet Sarikaya <[email-masked]>
Cc: [email-masked]
Sent: Friday, May 18, 2007 8:24:13 PM
Subject: RE: [netlmm] PMIPv6: Mobile Prefix Discovery

DIV {
MARGIN:0px;}

Hi Behcet,

  
  
  From: Behcet Sarikaya 
  [mailto:[email-masked]] 
Sent: Friday, May 18, 2007 7:52 
  AM
To: Sri Gundavelli
Cc: 
  [email-masked]
Subject: Re: [netlmm] PMIPv6: Mobile Prefix 
  Discovery

   A quick fix to this:
 >  In case 
  of renumbering or prefix expiry, LMA sends PBA with (the new) HNP 
  and  

   lifetime to MAG. MAG sends a unicast RA if stateless 
  address config is used or  

   DHCP Reconfigure if stateful address  >  
  config is used.

  LMA cannot 
  initiate a PBA with out having recieved any PBU.  We dont see much 
  need

  for supporting 
  prefix renumbering and so droppped it.

  Sri